# 7th GraphiQL Working Group

- **Video Conference Link:** https://zoom.us/j/760146252
- **Live Notes:** https://hackmd.io/@patrickpy/HkKEO5WHt/edit
- **Date & Time:** [October 12th 2021 16:00 - 18:00 UTC](https://www.timeanddate.com/worldclock/meetingdetails.html?year=2021&month=10&day=12&hour=16&min=0&sec=0&p1=224&p2=179&p3=136&p4=37&p5=239&p6=101&p7=152)

## Attendees

<!-- NOTE: because we expect you to use github UI to do this, we ignore prettier for attendees and agenda section. this will prevent CI breakages. enjoy!-->
<!-- prettier-ignore-start -->

| Name                 | Organization      | Location            |
| -------------------- | ----------------- | ------------------- |
| Patrick Arminio      | Pollen            | London, UK          |
| Saihajpreet Singh    | The Guild         | Minnesota, US       |
| Dotan Simha          | The Guild         | Israel              |
| Uri Goldshtein       | The Guild         | Israel              |

## Agenda

1. GraphiQL v2

<!-- prettier-ignore-end -->

## Notes

### GraphiQL V2

We discussed a plan on how to get to GraphiQL v2, @acao already had some work done here:

https://github.com/acao/graphiql/tree/feat/use-context-hooks

And there's also some information about the structure and plan in the following links:

https://github.com/graphql/graphiql/tree/main/packages/graphiql-2-rfc-context#features
https://github.com/graphql/graphiql/issues/983
https://github.com/graphql/graphiql#proposed-ecosystem


We talked about splitting the initial work into tasks:

### Tasks for getting to v2 

Start with following without breaking v1 (based on existing implementing of `graphiql` package): 

- Review https://github.com/graphql/graphiql/compare/main...acao:feat/use-context-hooks?expand=1
- Upgrade React to latest
- Use hooks API (potentially done in https://github.com/acao/graphiql/tree/feat/use-context-hooks)

We could split @acao's changes to multiple PR (first the migration to hooks)

Tasks do after the clean up above:

- Use monaco instead of codemirror


### Things to discuss for later

- Replace babel with esbuild (?)
- Upstream https://github.com/the-guild-org/the-guild-components/tree/main/packages/monaco-graphql-editor (this could be super useful for the plugin system)
- We need to define what we want to use for theming and ui


## Actions:

- @patrick91 Add zoom password to readme and find how to add it to calendar
- @dotansimha https://github.com/graphql/graphiql/pull/1975
- Sync with @acao regarding the state of GitHub project: https://github.com/graphql/graphiql/projects

